%define upstream_name    XML-SAX-ExpatXS
%define upstream_version 1.33

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Perl SAX 2 XS extension to Expat parser
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:    XML-SAX-install_expat_xs.patch

BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Test)
BuildRequires:  perl(vars)
BuildRequires:  perl(XML::SAX::Base)
BuildRequires:  perl(XML::SAX) >= 0.96
BuildRequires:  perl-devel
BuildRequires:  expat-devel

Requires:       perl(XML::SAX) >= 0.96

%description
XML::SAX::ExpatXS is a direct XS extension to Expat XML parser. It
implements Perl SAX 2.1 interface. See http://perl-xml.sourceforge.net/perl-
sax/ for Perl SAX API description. Any deviations from the Perl SAX 2.1
specification are considered as bugs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch1 -p1 -b .install_expat_xs
%__chmod -x ExpatXS.xs

%build
echo n | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%make test

%triggerin -- perl-XML-SAX
%{__perl} -MXML::SAX -e \
  'XML::SAX->add_parser(q(XML::SAX::ExpatXS))->save_parsers()' 2>/dev/null || :

%preun
if [ $1 -eq 0 ]; then
 %{__perl} -MXML::SAX -e \
    'XML::SAX->remove_parser(q(XML::SAX::ExpatXS))->save_parsers()' \
    2>/dev/null || :
fi

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.330.0-7.mga6
+ Revision: 1036141
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.330.0-6.mga6
+ Revision: 958263
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.330.0-5.mga6
+ Revision: 845581
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.330.0-4.mga6
+ Revision: 840754
- Rebuild for perl 5.22

* Tue Jan 13 2015 shlomif <shlomif> 1.330.0-3.mga5
+ Revision: 810287
- Importing perl-XML-SAX-ExpatXS - thanks to Richard Houser


* Wed Jan 07 2015 Richard Houser <rick@divinesymphony.net> 1.33-3
- Initial Mageia package, adapted from Fedora package version 1.33-10 (Miro Hrončok)
